package com.logicbig.example;

import org.springframework.stereotype.Controller;
import org.springframework.ui.Model;
import org.springframework.web.bind.annotation.RequestMapping;

import java.util.Arrays;
import java.util.List;

@Controller
public class TheController {

    @RequestMapping("/")
    public String handleRequest (Model model) {
        String string1 = "my string value";
        model.addAttribute(string1);

        int i = 10;
        model.addAttribute(i);

        List<String> list = Arrays.asList("one", "two");
        model.addAttribute(list);
        return "myPage";
    }
}